> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/1.1/developer-guide/api/concrete.ml.sklearn.md).

# concrete.ml.sklearn.md

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/sklearn/__init__.py#L0)

## module `concrete.ml.sklearn`

Import sklearn models.

### **Global Variables**

* **qnn\_module**
* **tree\_to\_numpy**
* **base**
* **glm**
* **linear\_model**
* **qnn**
* **rf**
* **svm**
* **tree**
* **xgb**

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/sklearn/__init__.py#L14)

### function `get_sklearn_models`

```python
get_sklearn_models()
```

Return the list of available models in Concrete ML.

**Returns:** the lists of models in Concrete ML

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/sklearn/__init__.py#L68)

### function `get_sklearn_linear_models`

```python
get_sklearn_linear_models(
    classifier: bool = True,
    regressor: bool = True,
    str_in_class_name: str = None
)
```

Return the list of available linear models in Concrete ML.

**Args:**

* `classifier` (bool): whether you want classifiers or not
* `regressor` (bool): whether you want regressors or not
* `str_in_class_name` (str): if not None, only return models with this as a substring in the class name

**Returns:** the lists of linear models in Concrete ML

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/sklearn/__init__.py#L86)

### function `get_sklearn_tree_models`

```python
get_sklearn_tree_models(
    classifier: bool = True,
    regressor: bool = True,
    str_in_class_name: str = None
)
```

Return the list of available tree models in Concrete ML.

**Args:**

* `classifier` (bool): whether you want classifiers or not
* `regressor` (bool): whether you want regressors or not
* `str_in_class_name` (str): if not None, only return models with this as a substring in the class name

**Returns:** the lists of tree models in Concrete ML

***

[![](https://img.shields.io/badge/-source-cccccc?style=flat-square)](https://github.com/zama-ai/concrete-ml/blob/release/1.1.x/src/concrete/ml/sklearn/__init__.py#L104)

### function `get_sklearn_neural_net_models`

```python
get_sklearn_neural_net_models(
    classifier: bool = True,
    regressor: bool = True,
    str_in_class_name: str = None
)
```

Return the list of available neural net models in Concrete ML.

**Args:**

* `classifier` (bool): whether you want classifiers or not
* `regressor` (bool): whether you want regressors or not
* `str_in_class_name` (str): if not None, only return models with this as a substring in the class name

**Returns:** the lists of neural net models in Concrete ML


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zama.org/concrete-ml/1.1/developer-guide/api/concrete.ml.sklearn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
